using System.ComponentModel.DataAnnotations;

namespace DataFormTest
{
    public static class EmployeeValidator
    {
        public static ValidationResult ValidateEmployee(Employee emp)
        {
            string[] memberNames = new string[] { "Age", "AnnualSalary" };
            if (emp.Age >= 50 && emp.AnnualSalary < 50000)
                return new ValidationResult("Employee is over 50 and must make more than $50,000.", memberNames);
            else
                return ValidationResult.Success;
        }

        public static ValidationResult ValidateAge(int age)
        {
            if (age > 150)
                return new ValidationResult("Employee's age must be under 150.");
            else if (age <= 0)
                return new ValidationResult("Employee's age must be greater than 0.");
            else
                return ValidationResult.Success;
        }
    }
}